part of 'soliq_id_bloc.dart';

abstract class SoliqIdEvent extends Equatable {
  const SoliqIdEvent();
}

class SoliqIdAccountInfoEvent extends SoliqIdEvent {
  final int projectId;
  final String lang;
  final int pinfl;

  const SoliqIdAccountInfoEvent(
      {
      required this.projectId,
      required this.pinfl,
      required this.lang});

  @override
  List<Object?> get props => [
        projectId,
        pinfl,
        lang
      ];
}

class SoliqIdCreateSessionEvent extends SoliqIdEvent {
  final int pinfl;
  final int projectId;
  final String lang;
  final String fio;

  const SoliqIdCreateSessionEvent({
    required this.fio,
    required this.pinfl,
    required this.projectId,
    required this.lang,
  });

  @override
  List<Object?> get props => [
        pinfl,
        projectId,
        fio,
        lang
      ];
}

class SoliqIdProcessEvent extends SoliqIdEvent {
  final String deviceId;
  final String processId;
  final int id;
  final int asked;
  final String date;

  const SoliqIdProcessEvent({
    required this.deviceId,
    required this.processId,
    required this.id,
    required this.asked,
    required this.date,
  });

  @override
  List<Object?> get props => [];
}

class SoliqIdCompareFaceEvent extends SoliqIdEvent {
  final String deviceId;
  final String processId;
  final int id;
  final int asked;
  final String date;

  const SoliqIdCompareFaceEvent({
    required this.deviceId,
    required this.processId,
    required this.id,
    required this.asked,
    required this.date,
  });

  @override
  List<Object?> get props => [];
}

class SoliqIdGetTokenEvent extends SoliqIdEvent {
  @override
  List<Object?> get props => [];
}
